Bug 1688453 - Fedora IoT(ostree) disk images have two identical boot menu entries
Summary: Fedora IoT(ostree) disk images have two identical boot menu entries
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2019-03-13 18:07 UTC by Paul Whalen
Modified: 2020-05-26 14:46 UTC (History)
3 users (show)

Fixed In Version: grub2-2.02-75.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 14:46:57 UTC
Type: Bug


Attachments (Terms of Use)
from /boot/efi/EFI/fedora/grub.cfg (6.20 KB, text/plain)
2019-03-13 18:21 UTC, Paul Whalen
no flags Details
from /boot/loader/grub.cfg (7.28 KB, text/plain)
2019-03-13 18:22 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2019-03-13 18:07:43 UTC
Description of problem:
Booting a recent Fedora IoT(ostree) disk image (Fedora-IoT-30-20190312.1.aarch64.raw.xz) there are two duplicate boot menu entries. This appears to be a result of having a grub.cfg and bls snippet. 

      Fedora 30 (IoT Edition) 30.20190312.1 (ostree)                                                                                                                                          
      Fedora 30 (IoT Edition) 30.20190312.1 (ostree)                                                                                                                                         
      System setup       

The first entry:

load_video                                                                                                                                                                                    
set gfx_payload=keep                                                                                                                                                                         
insmod gzio                                                                                                                                                                                  
linux ($root)/ostree/fedora-iot-6542e513f9f4574dc666f82314a6ab0357707892d3229d03fb147fe912378ac4/vmlinuz-5.0.0-300.fc30.aarch64 net.ifnames=0 modprobe.blacklist=vc4 root=UUID=040d735a-2828-4e4a-9ec8-c4304ead7712 ostree=/ostree/boot.0/fedora-iot/6542e513f9f4574dc666f82314a6ab0357707892d3229d03fb147fe912378ac4/0                                
initrd ($root)/ostree/fedora-iot-6542e513f9f4574dc666f82314a6ab0357707892d3229d03fb147fe912378ac4/initramfs-5.0.0-300.fc30.aarch64.img                                

Second:
setparams 'Fedora 30 (IoT Edition) 30.20190312.1 (ostree)' 'ostree-0-b45e4772-6204-4782-a9f1-b36a52895c40'                                                                                    
                                                                                                                                                                                             
load_video                                                                                                                                                                                   
set gfxpayload=keep                                                                                                                                                                          
insmod gzio                                                                                                                                                                                  
insmod part_msdos                                                                                                                                                                            
insmod ext2                                                                                                                                                                                  
if [ x$feature_platform_search_hint = xy ]; then                                                                                                                                             
  search --no-floppy --fs-uuid --set=root  b45e4772-6204-4782-a9f1-b36a52895c40                                                                                                              
else                                                                                                                                                                                         
  search --no-floppy --fs-uuid --set=root b45e4772-6204-4782-a9f1-b36a52895c40                                                                                                               
fi                                                                                                                                                                                           
linux /ostree/fedora-iot-6542e513f9f4574dc666f82314a6ab0357707892d3229d03fb147fe912378ac4/vmlinuz-5.0.0-300.fc30.aarch64 net.ifnames=0 modprobe.blacklist=vc4 root=UUID=040d735a-2828-4e4a-9\
ec8-c4304ead7712 ostree=/ostree/boot.0/fedora-iot/6542e513f9f4574dc666f82314a6ab0357707892d3229d03fb147fe912378ac4/0                                                                         
initrd /ostree/fedora-iot-6542e513f9f4574dc666f82314a6ab0357707892d3229d03fb147fe912378ac4/initramfs-5.0.0-300.fc30.aarch64.img                          

Version-Release number of selected component (if applicable):

Listing all grub related packages 

grub2-tools-extra-2.02-72.fc30.aarch64
greenboot-ostree-grub2-0.6-1.fc30.noarch
grub2-tools-minimal-2.02-72.fc30.aarch64
greenboot-grub2-0.6-1.fc30.noarch
grub2-tools-2.02-72.fc30.aarch64
grub2-common-2.02-72.fc30.noarch
grub2-efi-aa64-2.02-72.fc30.aarch64
ostree-grub2-2019.1-5.fc30.aarch64

The disk images and logs can be found in koji - https://koji.fedoraproject.org/koji/taskinfo?taskID=33436420

Comment 1 Javier Martinez Canillas 2019-03-13 18:12:02 UTC
Hello Paul,

Can you please share your grub2.cfg.

Comment 2 Paul Whalen 2019-03-13 18:21:10 UTC
Created attachment 1543719 [details]
from /boot/efi/EFI/fedora/grub.cfg

Comment 3 Paul Whalen 2019-03-13 18:22:02 UTC
Created attachment 1543720 [details]
from /boot/loader/grub.cfg

Comment 4 Javier Martinez Canillas 2019-03-14 10:24:57 UTC
So the problem here is that both the 10_linux and 15_ostree grub.d plugins are executed, so there's a section that calls blscfg (which parses the BLS snippet in /boot/loader/entries) and another section that has a menu entry generated by ostree admin instutil grub2-generate command.

This is because the BLS configuration is enabled (GRUB_ENABLE_BLSCFG=true in /etc/default/grub), but Anaconda shouldn't do it for the Fedora IoT spin.

Comment 5 Fedora Update System 2019-03-29 16:45:08 UTC
grub2-2.02-75.fc30 systemd-241-4.gitcbf14c9.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-616045ca76

Comment 6 Fedora Update System 2019-03-29 20:32:36 UTC
grub2-2.02-75.fc30, systemd-241-4.gitcbf14c9.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-616045ca76

Comment 7 Fedora Update System 2019-04-01 00:01:21 UTC
grub2-2.02-75.fc30, systemd-241-4.gitcbf14c9.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Paul Whalen 2019-04-05 19:09:08 UTC
This is still an issue in the latest f30 iot nightlies.

Comment 9 Ben Cotton 2020-04-30 22:14:02 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2020-05-26 14:46:57 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.